from nazca import *

with Cell('1_hat') as hat:
    text('hat').put()

with Cell('2_a') as a:
    text('a').put()

with Cell('3_little') as little:
    text('little').put()

with Cell('4_lamb') as lamb:
    text('lamb').put()

with Cell('Mary') as Mary:
    text('Mary').put(0,0,0)
    hat.put(0,-50,0)
    a.put(0,-100,0)
    little.put(0,-150,0)
    lamb.put(0,-200,0)


export_gds([Mary], filename='Mary.gds')
print_structure('Mary.gds', 'Mary')

cellmap = {
    'Mary'     : 'And',
    '1_hat'    : '1_everywhere',
    '2_a'      : '2_that',
    '3_little' : '3_Mary',
    '4_lamb'   : '4_went'
}
gds_filter('Mary.gds', cellmap=cellmap)
print_structure('Mary_filtered.gds', 'And')
