# -*- coding: utf-8 -*-
"""
Demofab example-1

To view predefined layers in klayout load:
lyp_demo.lyp
"""


# default ports of the new cell are
# 'a0' in (0, 0, -180)
# 'b0' in (0, 0, 0)

import nazca as nd

with nd.Cell('new_cell') as cell1:
    instance1 = nd.example.put(0, 20)
    nd.strt(length=10).put(10)

instance2 = cell1.put(0)
nd.bend(angle=90).put(instance2.pin['a0'])
nd.bend(angle=-45).put(instance2.pin['b0'])
nd.export_plt()