from nazca import *
from nazca.font import font

text("""The layout for this mask was made with Nazca design software. This
software is for the faint of heart. If you want to find out more about
this software, read the manual.""", 50).put((0, 1800, 0))

text('''The above text was generated with the following command:\n
text("""The layout for this mask was made with Nazca design software. This
software is for the faint of heart. If you want to find out more about
this software, read the manual.""", 50).put((0, 1800, 0))''', 50, layer=1).put((0, 1500, 0), flip=True)

text("These are all currently available characters:", 200, layer=10,
        stretch=0.2, align='rb').put((950,950,10))

for i, c in enumerate(sorted(list(font.keys()))):
    text(c, 50).put((1000 + i % 10 * 45, 1000 - i // 10 * 60, 0))

s = 1600
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'lb'", 100, layer=10, align='lb').put((0*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'cb'", 100, layer=10, align='cb').put((1*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'rb'", 100, layer=10, align='rb').put((2*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'lc'", 100, layer=10, align='lc').put((2.1*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'cc'", 100, layer=10, align='cc').put((3.1*s,100,0))
text("{extra}", 100, layer=1, align='cc').put((3.1*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'rc'", 100, layer=10, align='rc').put((4.1*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'lt'", 100, layer=10, align='lt', stretch=1.5).put((4.2*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'ct'", 100, layer=10, align='ct', stretch=1.5).put((5.2*s,100,0))
text("Test of aligned text\nwith\nextra\nlines like this.\nalign = 'rt'", 100, layer=10, align='rt', stretch=1.5).put((6.2*s,100,0))


export_gds()
