#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Jan 13 19:43:52 2017
Polygon example.
"""

import nazca as nd
import nazca.geometries as geom


p_free = nd.Polygon(points=[(-5, 0), (5, 0), (0, 10)])
p_box = nd.Polygon(layer=5, points=geom.box())
p_taper = nd.Polygon(points=geom.taper())
p_frame = nd.Polygon(points=geom.frame())
p_arc = nd.Polygon(points=geom.arc())
p_ring = nd.Polygon(points=geom.ring())
p_pie = nd.Polygon(points=geom.pie())
p_circle = nd.Polygon(points=geom.circle())
p_rectangle = nd.Polygon(points=geom.rectangle())
p_square = nd.Polygon(points=geom.square())
p_trapezoid = nd.Polygon(points=geom.trapezoid())
p_parallelogram = nd.Polygon(points=geom.parallelogram())
p_parallelogram2 = nd.Polygon(points=geom.parallelogram2())
p_rhombus = nd.Polygon(points=geom.rhombus())
p_tetragon = nd.Polygon(points=geom.tetragon())
p_monkey = nd.Polygon(points=geom.monkey(100))

p_free.put(0, 0, 0)
p_box.put(20, 0, 0)
p_taper.put(40, 0, 0)
p_frame.put(60, 0, 0)
p_arc.put(80, 0, 0)
p_ring.put(100, 0, 0)
p_pie.put(120, 0, 0)
p_circle.put(140, 0, 0)
p_rectangle.put(0, 100, 0)
p_square.put(20, 100, 0)
p_trapezoid.put(40, 100, 0)
p_parallelogram.put(60, 100, 0)
p_parallelogram2.put(80, 100, 0)
p_rhombus.put(100, 100, 0)
p_tetragon.put(130, 100, 0)
p_monkey.put(60, 50, 0)

nd.export_gds()
