
# -*- coding: utf-8 -*-
"""
Demofab example-0

To view predefined layers in klayout load:
lyp_demo.lyp
"""
import nazca as nd
import nazca.demofab.pdk as demopdk
import nazca.demopackager.packages as demopackages


#==============================================================================
# Create and initialize die and package objects.
#==============================================================================
DIE = demopdk.DesignArea(name='die', coatingR='HR', coatingL='AR')
PACKAGE = demopackages.Package1(name='package1')


#==============================================================================
# put the die and package cell
#==============================================================================
die = DIE.cell().put(0)
pack = PACKAGE.cell().put(0)

#==============================================================================
# Export project to GDS or Matplotlib
#==============================================================================
#nd.export_plt()
nd.export_gds(filename='project_example0a.gds')
