#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Examples of put statements in absolute coordinates.
"""

import nazca as nd
import nazca.demofab.pdk as demo

demo.shallow.strt(length=100).put(0)

demo.deep.strt(length=150).put(0, 100)

demo.deep.strt_p2p((0, 200), (200, 250)).put()

demo.shallow.bend(angle=10).put(300)

demo.deep.sbend(offset=100).put(300, 100)

bsb = demo.metaldc.bend_strt_bend_p2p((300, 300, -40), (400, 300, -40))
bsb.put()
bsb.put(300, 400)

demo.metalrf.strt_bend_strt_p2p((600, 0), (750, 100, 50)).put()

nd.export_gds()



